Zum Inhalt springen
In der Referenz stöbern
Alle Ressourcen

Kategoriegruppen

4 Endpunkte · Die Endpunktbeschreibungen sind auf Englisch.

List category groups in this household

GET/households/{householdId}/category-groups
read:categories
Beispielanfrage
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -X GET https://api.vokse.ai/households/current/category-groups
Antwort200 · Success

Create a category group

POST/households/{householdId}/category-groups
write:categories
Request-Body
json
{  "name": "Essentials"}
Beispielanfrage
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -H "Content-Type: application/json" \     -H "Idempotency-Key: $(uuidgen)" \     -X POST https://api.vokse.ai/households/current/category-groups \     -d '{"name":"Essentials"}'
Antwort201 · Success

Update a category group

PATCH/households/{householdId}/category-groups/{groupId}
write:categories

Parameter

NameOrtErforderlich
groupIdpathErforderlich
Request-Body
json
{  "name": "Fixed costs"}
Beispielanfrage
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -H "Content-Type: application/json" \     -H "Idempotency-Key: $(uuidgen)" \     -X PATCH https://api.vokse.ai/households/current/category-groups/{groupId} \     -d '{"name":"Fixed costs"}'
Antwort200 · Success

Soft-delete a category group

DELETE/households/{householdId}/category-groups/{groupId}
write:categories

Parameter

NameOrtErforderlich
groupIdpathErforderlich
Beispielanfrage
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -X DELETE https://api.vokse.ai/households/current/category-groups/{groupId}
Antwort204 · No content